<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 40;

$sightsArray = array();




if (SessionOperations::isNeuesAnmeldeverfahren()) {
  $sight = new SightItem();
  $sight->name = 'Neues Anmeldeverfahren - Teilnehmer';
  $sight->id = 504;
  $sight->showNoData = true;
  array_push($sightsArray, $sight);
} else {
  $sight = new SightItem();
  $sight->name = 'Auswahl der Anmeldeart';
  $sight->id = 60;
  $sight->showBody = true;
  $sight->showFooter = false;
  $sight->nameNoData = 'Teilnehmer nicht eingeloggt';
  $sight->showNoData = true;
  $sight->showNoColumn = true;
  $sight->nameNoColumn = 'Kein Kurs im Warenkorb';
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Eingabe Hauptteilnehmer';
  $sight->id = 62;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Eingabe Firma';
  $sight->id = 72;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Eingabe Partner';
  $sight->id = 66;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Eingabe Mitarbeiter';
  $sight->id = 63;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Eingabe Mitarbeiter (Pflicht)';
  $sight->id = 104;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Eingabe Kinder';
  $sight->id = 64;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Eingabe Kinder (Pflicht)';
  $sight->id = 77;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Eingabe Mehrfach';
  $sight->id = 65;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Eingabe Mehrfach (Pflicht)';
  $sight->id = 105;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Eingabe Hoteldaten';
  $sight->id = 133;
  array_push($sightsArray, $sight);
}

if (SessionOperations::isNeuesAnmeldeverfahren() && System::isStammhMitFirma()) {
  $sight = new SightItem();
  $sight->name = 'Stammh: Eingabe Firma / abweichender Zahler';
  $sight->id = 72;
  $sight->nameHeader = 'Daten Zahler';
  $sight->nameBody = 'Daten Stammhörer';
  $sight->showNoColumn = true;
  $sight->nameNoColumn = 'Kurse';
  $sight->swapFooterAndNoColumn = true;
  array_push($sightsArray, $sight);
}

$sight = new SightItem();
$sight->name = 'Vorlage - Auswahl Zahlplan';
$sight->id = 231;
$sight->showNoData = false;
array_push($sightsArray, $sight);

$sight = new SightItem();
$sight->name = 'Vorlage - Auswahl frei wählbare Felder';
$sight->id = 426;
$sight->showNoData = false;
array_push($sightsArray, $sight);

$sight = new SightItem();
$sight->name = 'Vorlage - Auswahl frei wählbare Felder (Mehrfach)';
$sight->id = 427;
$sight->showNoData = false;
array_push($sightsArray, $sight);

$sight = new SightItem();
$sight->name = 'Vorlage - Auswahl frei wählbare Felder (Mitarbeiter)';
$sight->id = 428;
$sight->showNoData = false;
array_push($sightsArray, $sight);

$sight = new SightItem();
$sight->name = 'Vorlage - Auswahl frei wählbare Felder (Partner)';
$sight->id = 429;
$sight->showNoData = false;
array_push($sightsArray, $sight);

$sight = new SightItem();
$sight->name = 'Verifizierung der Anmeldung';
$sight->id = 750;
$sight->nameHeader = 'Schritt 1: Hauptteilnehmer';
$sight->nameBody = 'Schritt 1: Kurse';
$sight->nameFooter = 'Schritt 1: Footer';
$sight->showNoColumn = true;
$sight->nameNoColumn = 'Schritt 2: Erfolgreich';
$sight->showNoData = true;
$sight->nameNoData = 'Fehler/ungültiger Aufruf';
array_push($sightsArray, $sight);

$sight = new SightItem();
$sight->name = 'Verifizierung der Anmeldung - weitere Teilnehmer';
$sight->id = 751;
$sight->showNoColumn = true;
$sight->nameNoColumn = 'abweichender Zahler';
$sight->showNoData = true;
array_push($sightsArray, $sight);